package body MSHTML.ISVGRadialGradientElement_Object is

   procedure PutRef_cx
     (This : ISVGRadialGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         ISVGRadialGradientElement_PutRef_cx,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_cx;

   function Get_cx
     (This : ISVGRadialGradientElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGRadialGradientElement_Get_cx);
   end Get_cx;

   procedure PutRef_cy
     (This : ISVGRadialGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         ISVGRadialGradientElement_PutRef_cy,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_cy;

   function Get_cy
     (This : ISVGRadialGradientElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGRadialGradientElement_Get_cy);
   end Get_cy;

   procedure PutRef_r
     (This : ISVGRadialGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         ISVGRadialGradientElement_PutRef_r,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_r;

   function Get_r
     (This : ISVGRadialGradientElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGRadialGradientElement_Get_r);
   end Get_r;

   procedure PutRef_fx
     (This : ISVGRadialGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         ISVGRadialGradientElement_PutRef_fx,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_fx;

   function Get_fx
     (This : ISVGRadialGradientElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGRadialGradientElement_Get_fx);
   end Get_fx;

   procedure PutRef_fy
     (This : ISVGRadialGradientElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         ISVGRadialGradientElement_PutRef_fy,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_fy;

   function Get_fy
     (This : ISVGRadialGradientElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGRadialGradientElement_Get_fy);
   end Get_fy;

end MSHTML.ISVGRadialGradientElement_Object;

